0

I'm using Drupal 8.2.7 on XAMPP, on Windows 10. I am installing AMP via Composer, but I received an error when I run composer drupal-update.

I ran the command from the Drupal root folder.

[Symfony\Component\Console\Exception\CommandNotFoundException]
Command "drupal-update" is not defined.

What happened?

1

Neither Drupal core nor Composer define that command. It's the Composer Manager module that defines it.

Be sure to read carefully the instructions to properly install the module, and the following note the project page gives.

Drupal 8

The Drupal 8 version of this module is deprecated and no longer needed, due to improvements in Drupal 8.1. Use Composer directly to get the needed modules, which will also download their required libraries.

The installation instructions are the following.

Installation

  • Install the Composer Manager module.
  • Run the module's init.php script on the command line (php scripts/init.php from inside the composer_manager module directory). This registers the module's Composer command for Drupal core.
  • Run composer drupal-update from the root of your Drupal directory.

If you are wondering why you don't see the Drupal 8 version in the project page, that is because, as the project page says, the Drupal 8 version is deprecated. The last Drupal 8 version is 8.x-1.0-rc2, visible in the releases page.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.